/**
 * @Author: 李建
 * @Date: 2024/8/13 11:20
 * Description: 拨码开关
 * Copyright: Copyright (©) 2024 永续绿建. All rights reserved.
 */
#include "DIP_switch.h"

uint8_t read_dip_4_number(void) {
    return ~((DIP_4_1_State << 3) | (DIP_4_2_State << 2) | (DIP_4_3_State << 1) | DIP_4_4_State) & 0x0F;
}
